Introduction

What is FTP?

FTP stands for File Transfer Protocol. FTP is used to upload files to another location on the Internet (for example, to the site on the Internet where your Web Page is kept) and to download files from another location on the Internet (for example, to get a copy of a software program). FTP also lets you browse disks of remote computers that have FTP server software installed.

FTP is one of the earlier applications used on the Internet (back in the "dark ages" before the World Wide Web was developed) and will likely be part of the Internet for some time to come since it is a very effective way to move individual files or groups of files from one location to another.

What is FTP Desktop?

FTP Desktop is an FTP client software which lets you connect to FTP sites, browse them, upload and download files. The primary difference between FTP Desktop and other FTP clients is that FTP Desktop lets you access FTP sites just like folders on your disk.

What is anonymous FTP?

The word "anonymous" is derived from the Greek word for "without a name" or "no name." FTP was designed to always ask for a username and password to access an FTP site. All FTP sites that provide public access to their files let you use the word "anonymous" as the username and your email address as the password. Most FTP sites do not verify the email address you provide as the password. Some anonymous FTP sites do not require a password or just ignore it.

Text vs. Binary Transfer Mode.

By default, FTP Desktop uses binary transfer mode for file transfers. In binary mode, files are transferred "as is" without any modifications. Text mode is used to convert end of line characters in text files from UNIX-type to Windows-type text format and vice versa.

If you are viewing a text file downloaded via FTP and the text has boxes where the line breaks should be, it means you have to redownload the file in text mode.

Warning: use text mode transfer only when necessary because binary archives and executables downloaded or uploaded in text mode will be corrupted.


Features

User interface features:

  • File management integrated into Windows Explorer. FTP sites as folders on your disk.
  • Hierarchical FTP site manager built into Windows Explorer. Add and remove FTP sites. Change FTP site settings.
  • Ability to view/edit remote files without having to download them first. Automatically uploads changes after you close an editor.
  • Full drag-and-drop support. Transfer files with just one mouse click!
  • Supports cut and paste for file transfers through Windows clipboard
  • Supports background file transfers (initiate a file transfer and continue browsing)
  • Batch uploads and downloads
  • FTP command log viewer built into Windows Explorer (can be hidden)
  • Lets you change permissions on UNIX servers in file properties dialog
  • Lets you drag and drop an FTP link from Web browser to FTP site manager

FTP functionality:

  • Supports FTP servers running on UNIX, Windows, VMS.
  • Resumes broken downloads and uploads
  • Passive mode support, configurable for individual site
  • Lets you move files from one FTP directory to another without downloading it
  • Lets you issue custom FTP commands.
  • Lets you specify user-defined FTP commands to automatically send after logon.
  • Supports site-to-site file transfers
  • Sends keep-alives to prevent connection timeouts (can be turned off)
  • Configurable cache for directory listings and files
  • Proxy/Firewall support
  • MD4, MD5 (S/Key) password encryption
  • Automatic upload filename case conversion
  • Recursive delete of remote directory
  • Supports DOS-style directory listing
  • Show Permission information of remote listing
  • Can show hidden files on remote server
  • Highly flexible directory listing filtering that allows you to ignore files by directory or wildcards
  • Shows server file time in local time zone according to specified time offset
  • Remote file attribute modification (CHMOD)
  • Ability to preserve server file time on downloaded files


Setting Up an FTP Connection to a Site

Setting up a password protected FTP connection to a site

Click FTP Desktop icon on the desktop and click on the Add New FTP Place. A dialog box will appear.

In the "Host name or IP" field, type in the domain name of the FTP site (e.g. ftp.domain.com or just domain.com) or IP address (e.g. 192.168.10.119) as was given to you by your Web hosting provider.

In the "User friendly name" field, type in any name by which you would like to refer to this FTP site.

In the optional "Start directory" field, type in whatever information was provided by your Web hosting provider. In most cases, this field is not required.

Click Finish. A new shortcut to an FTP site will be created. Click on it to connect. You will be asked to provide the username and the password for this FTP site after which the directory listing will be loaded.

Setting up a link to a public (anonymous) FTP site

To create a link to an anonymous FTP site, you may follow the above steps except you will not need to supply a username and a password.

You may also drop an FTP link from your Web browser to the FTP Desktop window to create a link to an anonymous FTP site.


FTP Desktop Options Dialog Box

General Page

Email address used as password for anonymous FTP access: See Introduction for a description of anonymous FTP.

Double-click behavior: specify the action taken when you double click a file on a remote FTP site. The default is Open.

Use file type specific editors: if this option is on, the editor associated with the file type will be launched when editing a file on a remote FTP site.

Use specified editor: if this options is on, the specified editor will be launched regardless of the file type. The default editor is Notepad.

Confirmations

Replace local file: lets you specify the default action taken when you try to copy a file from a remote FTP site to your hard disk in case the file already exists on your hard disk.

The options are:
Ask always: no default action will be taked but the program will always prompt you for the action.
Replace always: always replace (overwrite) the existing file on the local hard disk with the file from the remote FTP site.
Skip always: never overwrite local files.

Replace remote file: lets you specify the default action taken when you try to copy a file from your hard disk to a remote FTP site in case the file already exists on the FTP site. The options are the same as above.

Confirm remote file/directory deleting: if this options is set, the program will always display a confirmation dialog box when you try to delete a remote FTP file or folder.

Confirm server/folder deleting: if this options is set, the program will always display a confirmation dialog box when you try to delete a link to FTP site or a folder with FTP sites.

Display "Download to..." dialog: if this option is set, the program will prompt you for the location on your local disk to save the file to, when you press the Download button.

Dislay transfer errors in pop-up message boxes: if this box is unchecked, the errors will be reported only.

Cache Settings:

Cache folder: specifies the location where the FTP cache is stored. You may move the cache to another location by pressing the "Move cache" button.

Free disk space: displays the free space on the disk where the cache is located.

Current cache size: displays the current size of the FTP cache

Maximum size of cached files: lets you set the maximum size of the cache in megabytes. The default is 1MB.

Move cache: lets you move the cache to another location

Clear cache: lets you clear the cache

File transfer:

File transfer mode: lets you specify the file transfer mode. See Introduction for a description of file transfer mode.

File name case conversion:

Do not convert: the case of file names will not be changed during file transfers
Convert to lower case: file names will be converted to lower case during file transfers
Convert to upper case: file names will be converted to upper case during file transfers

Preserve file modification date and time: if this options is checked, the file modification date and time will not be changed during file transfers. Otherwise, the date and time will be changed to current time.

Firewall/Proxy:

Firewall type: select the firewall type used in your organization's computer network or select Direct connection if you are connected to the Internet without a firewall.

Host name (IP): type in the network name or IP address of the firewall or proxy server.

Port: type in the port used by the firewall or proxy server.

Username: type in the username used to authenticate you at the firewall or proxy server.

Password: type in the password

Use PASSIVE mode for data transfers through the firewall: Uncheck this box only if your firewall does not support the passive FTP mode.


Site Settings

General Page

Host name or IP: the network name, domain name (e.g. example.com), or IP address (e.g. 192.168.0.17) of the FTP site

Port: the default port for FTP is 21. In most cases you should not change this number. If the FTP site uses a port other than 21, you should enter the correct port into this box.

Start directory: the path to a directory on the remote FTP site which will be loaded after the initial connect. In most cases you may leave this box empty because most sites provide a default directory. For some FTP sites you will need to specify a start directory specific to each site.

User friendly name: the name by which you would like to refer to the site. This name is only used in FTP site listing on your computer.

Default download folder: you may assign this FTP site a default folder on your hard disk where the files will be downloaded when you right-click on a file name and select Download from the pop-up menu or press the Download button on the toolbar. This folder will be used in a prompt message in the "Download to..." dialog box where you will be able to change it if necessary.

Bypass firewall for this FTP site: if you are connecting to the Internet through a firewall (specified in the Program Options dialog box) but do not want to use firewall for this FTP site (e.g. because it is a local FTP site), you may uncheck this box.

Server time zone: lets you specify the time zone for the remote FTP site. This setting is used to adjust remote file times in directory listings.

Password Page

Anonymous login: select this option if the FTP site does not require username and password

Use specified username and password: lets you specify username and password for the FTP site

Account: if the FTP site does not require account, leave this field empty.

Initialization Commands Page

This is for advanced use only. Lets you specify commands to send to the FTP site immediately after the initial connection.

Connection Page

PASSIVE mode for data transfers: uncheck this box only if you know what you do.

Reconnect attempts: the number of reconnect attempts if failed to connect initially

Seconds between attempts: lets you specify the time interval between reconnect attempts in seconds

Send keep alive requests: lets you specify the time interval between keep alive requests to the remote FTP site. This option may be useful when the FTP site disconnects you after a timeout. Note that some sites will disconnect you regardless of this setting.

Close session if idle more than N seconds: disconnect from remote FTP site after the specified period of inactivity.

Timeout: timeout for file transfer operations.

Recv buffer size: TCP/IP socket option for advanced use.

Send buffer size: TCP/IP socket option for advanced use.

Cache Page

By default, FTP Desktop caches directory listing locally for faster operation. This page lets you fine tune the cache settings to your needs.

Cache files locally: check this box to cache files on your hard disk. By default, files are not cached locally.

Flush file cache at logon: if this box is checked, the file cache will be emptied at every logon to the FTP site.

Expire files after: lets you specify the time interval after which the cached files will be considered stale.

Cache directories locally: check this box to cache directory listings on your hard disk. By default, this option is on.

Flush directory cache at logon: if this box is checked, the directory cache will be emptied at every logon to the FTP site.

Expire directories after: lets you specify the time interval after which the cached directory listings will be considered stale.

Directories never expire: select this option if you do not want to reread directory listings from remote FTP sites but always use cached listings. This option is useful for FTP sites that do not change often.

You can always use the Refresh button to refresh the directory listing regardless of the cache settings.

File Listing Page

Show hidden files: check this box if you want to display the hidden files on a remote FTP site

'LIST' command parameter to show hidden files: if the FTP site requires a special parameter for showing hidden files which is different from the default one, you may change it here.

Show parent folder '..' in listing: show the parent folder as '..' in a file listing. By default this option is on.

Show only files matching the mask: lets you specify the mask for file listing (e.g. the mask "*.zip" will show only zip files).

Do not show directories beginning with '.': if this check box is set, the program will not display any directories which begin with a period “.”.

Do not show files beginning with '.': if this check box is set, the program will not display any files which begin with a period “.”.

Resolve symbolic links: if this check box is set, the program will try to resolve symbolic links on Unix system.


Transfering Files Between a Site and Your Computer via FTP

Transfering files between a remote FTP site and your hard drive is no different than copying files between hard disks on your local PC or copying them between computers on the local network.

You can use the same drag and drop or cut and paste methods you use when copying local files with Windows Explorer.


Trial Version Limitations

The trial version of FTP Desktop is limited to 300 FTP connections after which it will stop functioning.

To remove the limitation, you should purchase the personal unlock key for the software.


Purchasing FTP Desktop

To purchase FTP Desktop, visit our Web site ftpdesktop.net.


Technical Support

Latest version and up-to-date information about FTP Desktop can be found on our Web site ftpdesktop.net. We provide technical support by email only. Send your questions, bug reports, and suggestions to support@ftpdesktop.net


User Manual

Introduction
What is FTP?
What is FTP Desktop?
What is anonymous FTP?
Text vs. Binary Transfer Mode.

Features
Setting up an FTP connection to a site
Setting up a password protected FTP connection to a site
Setting up a link to a public (anonymous) FTP site

FTP Desktop Options Dialog Box
FTP Site Settings Dialog Box
Transfering files between a site and your computer via FTP
Limitations of the trial version
How to buy FTP Desktop
Technical Support